Subject: bug#25606: [DRAFT PATCH 2/2] Signal list cycles in ‘length’ etc.

From: Paul Eggert <[email-masked]>
Date: Sat, 4 Feb 2017 13:45:21 -0800

Eli Zaretskii wrote:

> I did provide use cases, you just dismiss them as unimportant.

You mentioned use cases consisting of "a memory-starved system or a system under 
heavy computational load". My test code attempted to exercise both 
possibilities, under different scenarios. My tests came up empty: there were no 
cases that caused new problems. Perhaps I misunderstood what you were driving 
at, but if so I would like to know what it was. Possibly there is a 
more-efficient change that would satisfy your concerns, once I understand them.